Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
SpriteParticleRendererExt Class Reference
Inheritance diagram for SpriteParticleRendererExt:

## Public Member Functions
| addTextureFromFile (self, fileName=None)
| addTextureFromNode (self, modelName=None, nodeName=None, sizeFromTexels=False)
| getSourceFileName (self)
| getSourceNodeName (self)
| getSourceTextureName (self)
| setSourceFileName (self, name)
| setSourceNodeName (self, name)
| setSourceTextureName (self, name)
| setTextureFromFile (self, fileName=None)
| setTextureFromNode (self, modelName=None, nodeName=None, sizeFromTexels=False)

## Static Public Attributes
| sourceFileName = None
| sourceNodeName = None
| sourceTextureName = None

## Detailed Description

    Contains methods to extend functionality
    of the SpriteParticleRenderer class

## Member Function Documentation

## ◆ addTextureFromFile()

addTextureFromFile | ( |  | self,
|  |  | fileName = None )

## ◆ addTextureFromNode()

addTextureFromNode | ( |  | self,
|  |  | modelName = None,
|  |  | nodeName = None,
|  |  | sizeFromTexels = False )

## ◆ getSourceFileName()

getSourceFileName | ( |  | self | ) |

## ◆ getSourceNodeName()

getSourceNodeName | ( |  | self | ) |

## ◆ getSourceTextureName()

getSourceTextureName | ( |  | self | ) |

## ◆ setSourceFileName()

setSourceFileName | ( |  | self,
|  |  | name )

## ◆ setSourceNodeName()

setSourceNodeName | ( |  | self,
|  |  | name )

## ◆ setSourceTextureName()

setSourceTextureName | ( |  | self,
|  |  | name )

## ◆ setTextureFromFile()

setTextureFromFile | ( |  | self,
|  |  | fileName = None )

## ◆ setTextureFromNode()

setTextureFromNode | ( |  | self,
|  |  | modelName = None,
|  |  | nodeName = None,
|  |  | sizeFromTexels = False )

## Member Data Documentation

## ◆ sourceFileName

sourceFileName = None
| static

## ◆ sourceNodeName

sourceNodeName = None
| static

## ◆ sourceTextureName

sourceTextureName = None
| static